Bug 1710239 - [abrt] gns3-server: resolve(): __init__.py:786:resolve:pkg_resources.DistributionNotFound: The 'prompt-toolkit==1.0.15' distribution was not found and is required by gns3-server
Summary: [abrt] gns3-server: resolve(): __init__.py:786:resolve:pkg_resources.Distribu...
Keywords:
Status: CLOSED DUPLICATE of bug 1690958
Alias: None
Product: Fedora
Classification: Fedora
Component: gns3-server
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:beef23b4abf68cf8a49cd1dcb21...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-15 07:30 UTC by sergey
Modified: 2019-09-15 21:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-15 21:58:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (4.00 KB, text/plain)
2019-05-15 07:30 UTC, sergey
no flags Details
File: cgroup (346 bytes, text/plain)
2019-05-15 07:30 UTC, sergey
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2019-05-15 07:30 UTC, sergey
no flags Details
File: environ (4.27 KB, text/plain)
2019-05-15 07:30 UTC, sergey
no flags Details
File: mountinfo (3.31 KB, text/plain)
2019-05-15 07:30 UTC, sergey
no flags Details
File: namespaces (129 bytes, text/plain)
2019-05-15 07:30 UTC, sergey
no flags Details
File: open_fds (264 bytes, text/plain)
2019-05-15 07:30 UTC, sergey
no flags Details

Description sergey 2019-05-15 07:30:06 UTC
Description of problem:
Hello!
When you start GNS3 errors begin to pour

Version-Release number of selected component:
gns3-server-2.1.11-1.fc29

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/gns3server --local --log=/home/serg/.config/GNS3/gns3_server.log --pid=/home/serg/.config/GNS3/gns3_server.pid
crash_function: resolve
exception_type: pkg_resources.ContextualVersionConflict
executable:     /usr/bin/gns3server
interpreter:    python3-3.7.3-1.fc29.x86_64
kernel:         5.0.14-200.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:786:resolve:pkg_resources.DistributionNotFound: The 'prompt-toolkit==1.0.15' distribution was not found and is required by gns3-server

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (prompt-toolkit 1.0.16 (/usr/lib/python3.7/site-packages), Requirement.parse('prompt-toolkit==1.0.15'), {'gns3-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gns3server", line 7, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3191, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3175, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3204, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'prompt-toolkit==1.0.15' distribution was not found and is required by gns3-server

Local variables in innermost frame:
self: <pkg_resources.WorkingSet object at 0x7fdf060d7390>
requirements: [Requirement.parse('zipstream>=1.1.4'), Requirement.parse('psutil>=3.0.0'), Requirement.parse('raven>=5.23.0'), Requirement.parse('Jinja2>=2.7.3'), Requirement.parse('yarl>=0.11'), Requirement.parse('aiohttp-cors>=0.5.3'), Requirement.parse('aiohttp>=2.3.3'), Requirement.parse('jsonschema>=2.4.0')]
env: <pkg_resources.Environment object at 0x7fdf060d7e10>
installer: None
replace_conflicting: False
extras: None
processed: {Requirement.parse('gns3-server==2.1.11'): True, Requirement.parse('async-timeout'): True}
best: {'gns3-server': gns3-server 2.1.11 (/usr/lib/python3.7/site-packages), 'async-timeout': async-timeout 3.0.0 (/usr/lib/python3.7/site-packages), 'prompt-toolkit': None}
to_activate: [gns3-server 2.1.11 (/usr/lib/python3.7/site-packages), async-timeout 3.0.0 (/usr/lib/python3.7/site-packages)]
req_extras: {Requirement.parse('async-timeout'): (), Requirement.parse('prompt-toolkit==1.0.15'): (), Requirement.parse('zipstream>=1.1.4'): (), Requirement.parse('psutil>=3.0.0'): (), Requirement.parse('raven>=5.23.0'): (), Requirement.parse('Jinja2>=2.7.3'): (), Requirement.parse('yarl>=0.11'): (), Requirement.parse('aiohttp-cors>=0.5.3'): (), Requirement.parse('aiohttp>=2.3.3'): (), Requirement.parse('jsonschema>=2.4.0'): ()}
required_by: defaultdict(<class 'set'>, {Requirement.parse('async-timeout'): {'gns3-server'}, Requirement.parse('prompt-toolkit==1.0.15'): {'gns3-server'}, Requirement.parse('zipstream>=1.1.4'): {'gns3-server'}, Requirement.parse('psutil>=3.0.0'): {'gns3-server'}, Requirement.parse('raven>=5.23.0'): {'gns3-server'}, Requirement.parse('Jinja2>=2.7.3'): {'gns3-server'}, Requirement.parse('yarl>=0.11'): {'gns3-server'}, Requirement.parse('aiohttp-cors>=0.5.3'): {'gns3-server'}, Requirement.parse('aiohttp>=2.3.3'): {'gns3-server'}, Requirement.parse('jsonschema>=2.4.0'): {'gns3-server'}})
req: Requirement.parse('prompt-toolkit==1.0.15')
dist: None
ws: <pkg_resources.WorkingSet object at 0x7fdf060d7390>
requirers: {'gns3-server'}
new_requirements: []
new_requirement: Requirement.parse('jsonschema>=2.4.0')

Comment 1 sergey 2019-05-15 07:30:08 UTC
Created attachment 1568820 [details]
File: backtrace

Comment 2 sergey 2019-05-15 07:30:10 UTC
Created attachment 1568821 [details]
File: cgroup

Comment 3 sergey 2019-05-15 07:30:11 UTC
Created attachment 1568822 [details]
File: cpuinfo

Comment 4 sergey 2019-05-15 07:30:12 UTC
Created attachment 1568823 [details]
File: environ

Comment 5 sergey 2019-05-15 07:30:13 UTC
Created attachment 1568824 [details]
File: mountinfo

Comment 6 sergey 2019-05-15 07:30:15 UTC
Created attachment 1568825 [details]
File: namespaces

Comment 7 sergey 2019-05-15 07:30:16 UTC
Created attachment 1568826 [details]
File: open_fds

Comment 8 Othman Madjoudj 2019-09-15 21:58:53 UTC

*** This bug has been marked as a duplicate of bug 1690958 ***


Note You need to log in before you can comment on or make changes to this bug.